/*
 * ws2812_effect.h
 *
 *  Created on: Mar 25, 2026
 *      Author: ewars
 */

#ifndef INC_WS2812_EFFECT_H_
#define INC_WS2812_EFFECT_H_

#include "stdint-gcc.h"

void ws_Effect_InitModule(void);

void ws_Effect_RoudTheClock(void);
void ws_Effect_RandRound(void);
void ws_Effect_RandRand(void);

void ws_effect_setDisplayColoursNV(void);
void ws_effect_display_time(uint8_t hour, uint8_t minute, uint8_t second);
void ws_effect_display_hour(uint8_t hour);



#endif /* INC_WS2812_EFFECT_H_ */
